<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qianhe.system.mapper.SysDeptFlMapper">
    
    <resultMap type="SysDeptFl" id="SysDeptFlResult">
        <result property="id"    column="id"    />
        <result property="lxmc"    column="lxmc"    />
        <result property="lxz"    column="lxz"    />
        <result property="sjlx"    column="sjlx"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="remark"    column="remark"    />
        <result property="yl1"    column="yl1"    />
        <result property="yl2"    column="yl2"    />
        <result property="yl3"    column="yl3"    />
        <result property="yl4"    column="yl4"    />
        <result property="yl5"    column="yl5"    />
    </resultMap>

    <sql id="selectSysDeptFlVo">
        select id, lxmc, lxz, sjlx, create_by, create_time, update_by, update_time, remark, yl1, yl2, yl3, yl4, yl5 from sys_dept_fl
    </sql>

    <select id="selectSysDeptFlList" parameterType="SysDeptFl" resultMap="SysDeptFlResult">
        <include refid="selectSysDeptFlVo"/>
        <where>  
            <if test="lxmc != null  and lxmc != ''"> and lxmc = #{lxmc}</if>
            <if test="lxz != null  and lxz != ''"> and lxz = #{lxz}</if>
            <if test="sjlx != null  and sjlx != ''"> and sjlx = #{sjlx}</if>
            <if test="yl1 != null  and yl1 != ''"> and yl1 = #{yl1}</if>
            <if test="yl2 != null  and yl2 != ''"> and yl2 = #{yl2}</if>
            <if test="yl3 != null  and yl3 != ''"> and yl3 = #{yl3}</if>
            <if test="yl4 != null  and yl4 != ''"> and yl4 = #{yl4}</if>
            <if test="yl5 != null  and yl5 != ''"> and yl5 = #{yl5}</if>
        </where>
    </select>
    
    <select id="selectSysDeptFlById" parameterType="Long" resultMap="SysDeptFlResult">
        <include refid="selectSysDeptFlVo"/>
        where id = #{id}
    </select>
        
    <insert id="insertSysDeptFl" parameterType="SysDeptFl" useGeneratedKeys="true" keyProperty="id">
        insert into sys_dept_fl
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="lxmc != null">lxmc,</if>
            <if test="lxz != null">lxz,</if>
            <if test="sjlx != null">sjlx,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
            <if test="remark != null">remark,</if>
            <if test="yl1 != null">yl1,</if>
            <if test="yl2 != null">yl2,</if>
            <if test="yl3 != null">yl3,</if>
            <if test="yl4 != null">yl4,</if>
            <if test="yl5 != null">yl5,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="lxmc != null">#{lxmc},</if>
            <if test="lxz != null">#{lxz},</if>
            <if test="sjlx != null">#{sjlx},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
            <if test="remark != null">#{remark},</if>
            <if test="yl1 != null">#{yl1},</if>
            <if test="yl2 != null">#{yl2},</if>
            <if test="yl3 != null">#{yl3},</if>
            <if test="yl4 != null">#{yl4},</if>
            <if test="yl5 != null">#{yl5},</if>
         </trim>
    </insert>

    <update id="updateSysDeptFl" parameterType="SysDeptFl">
        update sys_dept_fl
        <trim prefix="SET" suffixOverrides=",">
            <if test="lxmc != null">lxmc = #{lxmc},</if>
            <if test="lxz != null">lxz = #{lxz},</if>
            <if test="sjlx != null">sjlx = #{sjlx},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
            <if test="remark != null">remark = #{remark},</if>
            <if test="yl1 != null">yl1 = #{yl1},</if>
            <if test="yl2 != null">yl2 = #{yl2},</if>
            <if test="yl3 != null">yl3 = #{yl3},</if>
            <if test="yl4 != null">yl4 = #{yl4},</if>
            <if test="yl5 != null">yl5 = #{yl5},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteSysDeptFlById" parameterType="Long">
        delete from sys_dept_fl where id = #{id}
    </delete>

    <delete id="deleteSysDeptFlByIds" parameterType="String">
        delete from sys_dept_fl where id in 
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>
</mapper>